Versions of MAME Compatible with Windows 98?

Emulation of old consoles and arcades.

Versions of MAME Compatible with Windows 98?

Postby Braca862 » 2016-11-07 @ 03:15

I want to know which versions of MAME are compatible with Windows 98, with or without KernelEx? Obviously the latest version dosen't work, even with KernelEx.
Braca862
Newbie
 
Posts: 47
Joined: 2016-5-02 @ 05:12

Re: Versions of MAME Compatible with Windows 98?

Postby Jorpho » 2016-11-07 @ 05:26

What happens when you try to run the latest version? Is it a Unicode problem?

It may well be that the version you need is so old that the latest ROM sets for certain games may be incompatible without modification.
User avatar
Jorpho
l33t++
 
Posts: 7043
Joined: 2003-2-14 @ 19:50
Location: Canada

Re: Versions of MAME Compatible with Windows 98?

Postby Braca862 » 2016-11-07 @ 18:53

I dont think its a unicode problem since kernelex installs unicode with it. The error messages I get when attempting to run the latest version of MAME with kernelex are the link to missing export or import and the device attached to system not functioning errors.
Braca862
Newbie
 
Posts: 47
Joined: 2016-5-02 @ 05:12

Re: Versions of MAME Compatible with Windows 98?

Postby Kjoygray75 » 2017-1-06 @ 17:22

I have version 0.31 of Mame32, I remember it working on Windows 98.

Requirements
------------

- Windows 95 or Windows NT 4.
- DirectX version 3.0 or higher.
- Pentium class cpu.
Kjoygray75
Newbie
 
Posts: 5
Joined: 2016-11-04 @ 22:30

Postby Dude111 » 2017-7-30 @ 03:43

I have 0.53 and I love it! (I also have 98se)
Dude111
Newbie
 
Posts: 36
Joined: 2010-8-22 @ 17:18

Re: Versions of MAME Compatible with Windows 98?

Postby thefixer » 2017-8-23 @ 00:28

Are you running Windows 98 with a virtual machine or is it the original OS?
If it's the original, are all the drivers installed?
User avatar
thefixer
Newbie
 
Posts: 9
Joined: 2013-3-07 @ 20:29

Postby Dude111 » 2017-9-13 @ 19:21

If your asking if Mame runs on REG98/98se yes it does..... No VM needed (I dont know what the newest version is that runs on it WITHOUT HELP but im sure others do)
Dude111
Newbie
 
Posts: 36
Joined: 2010-8-22 @ 17:18

Re: Versions of MAME Compatible with Windows 98?

Postby Tiffansy » 2017-11-14 @ 09:05

Same Question - What happens when you try to run the latest version? Is it a Unicode problem?
Tiffansy
Newbie
 
Posts: 1
Joined: 2017-11-14 @ 09:03

Re: Versions of MAME Compatible with Windows 98?

Postby leileilol » 2017-11-16 @ 05:02

i'd imagine it'd be a GCC-induced problem...
User avatar
leileilol
l33t++
 
Posts: 8721
Joined: 2006-12-16 @ 18:03

Re: Versions of MAME Compatible with Windows 98?

Postby hail-to-the-ryzen » 2017-11-17 @ 03:02

A Raspberry Pi port of mame (and its derivatives) target versions 0.37b5 and 0.106. I think the 0.106 could be tested, or modified if necessary, for Windows 98. The 0.106 version is also used by the more recent versions of advmame which has some Windows binary and also a DOS version. The DOS version has advanced capability to work with arcade monitors, but does show that the 0.106 branch is adaptable to other systems.

The other issue is the CPU requirement. I would think by ~2006 that the emulator has a CPU requirement that exceeds a typical Windows 98 system. It would pay to first test the >0.106 versions for their CPU requirement before considering them for Win98.

Edit: here is a good one to test - mameui v0.62.
hail-to-the-ryzen
Newbie
 
Posts: 81
Joined: 2017-3-09 @ 01:34


Return to Console & Arcade Emulation

Who is online

Users browsing this forum: No registered users and 1 guest